﻿using Infragistics.Controls.Layouts;
using Infragistics.Controls.Layouts.Primitives;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace XamTileManager_layout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TileHeaderPresenter_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            var tile = (sender as TileHeaderPresenter).Tile;

            // If not maximized, maximize it when clicked.
            if (!tile.IsMaximized)
            {
                tile.IsMaximized = true;
                e.Handled = true;
            }
        }
    }
}
